#include "config.h"
#include "network.h"
#include "devices.h"

#include <unistd.h>
#include <string.h>
#include <stdio.h>


int
main (void)
{
  frame_t          frame;
  int              sock,                                                      \
                *  devices;
  unsigned char    current = 0,                                               \
                   expected;

  if ((devices = setup_devices ()))
    {
      if (setup_socket (&sock))
	{
	  while (1)
	    {
	      if (get_frame (sock, &frame))
		{
		  expected = (current == 0xFFFFFFFFL) ? 0 : current + 1;
		  if (frame.frame_count != expected)
		    current = frame.frame_count;
		  output_frame (&frame, devices);
		}
	    }
	  close_socket (&sock);
	}
      fprintf (stderr, "Failed to open socket, exiting");
      close_devices (devices);
      devices = NULL;
    }
  fprintf (stderr, "Failed to open devices, exiting");
  exit (1);
}


